SECTION "String code", ROM0
; Print String on screen
; @param b - PosX on where to draw text
; @param c - PosY on where to draw text
; @param hl - Address source string
; @return a
; @return b
; @return c
; @return de - Destination memory in map
; @return hl = Address Target to the byte after the last byte on the target (garbage)
PrintString:
    ld de, $9800
.start
    ld a, [hl] ; Load the first byte in the string
    inc hl ; Increment immediately to next space
    ld [dei], a
    and a
    jr nz, .start
    ret
.render
.finish
    inc b
    cp b, 14
    

